OpenTTD Source: Data Fields

OpenTTD Source 15.0-RC2

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - u -

- ui_count : NewGRFClass< Tspec, Tindex, Tmax >
- unbalanced : Kdtree< T, TxyFunc, CoordT, DistT >
- unclick_timeout : GSConfigWindow, NewGRFParametersWindow, ScriptSettingsWindow
- undelivered_supply : LinkGraphJob::NodeAnnotation
- UnfocusFocusedWidget() : Window
- UnfocusWidgets() : NWidgetContainer
- UnFoldAll() : SettingsContainer, SettingsPage
- Uninitialize() : AI, Game, Squirrel
- UninitializeFontCaches() : FontCache
- unique_id : ContentInfo
- unitnumber : Vehicle
- unitnumber_digits : BaseVehicleListWindow
- units_force : LocaleSettings
- units_height : LocaleSettings
- units_power : LocaleSettings
- units_velocity : LocaleSettings
- units_velocity_nautical : LocaleSettings
- units_volume : CargoSpec, LocaleSettings
- units_weight : LocaleSettings
- Unload() : VehicleCargoList
- UnloadCount() : VehicleCargoList
- UNLOADED : SocialIntegrationPlugin
- unlock : VideoDriver::VideoBufferLocker
- UnlockVideoBuffer() : VideoDriver, VideoDriver_Cocoa, VideoDriver_SDL_Base, VideoDriver_Win32Base
- UnmappedChoiceList() : UnmappedChoiceList
- Unpause() : AI, Game, ScriptInstance
- UNPAUSED : TimerGameRealtime
- UnregisterTimer() : TimerManager< TTimerType >
- UnreserveSingleTrack() : CYapfReserveTrack< Types >
- unrestricted : FlowStat
- Unsafe() : CommandHelper< Tcmd, Tret(*)(DoCommandFlags, Targs...), true >
- unsatisfied_demand : LinkGraphJob::DemandAnnotation
- UnsatisfiedDemandTo() : LinkGraphJob::NodeAnnotation
- unscaled : WidgetDimensions
- Unselect() : ClientNetworkContentSocketHandler
- UnselectAll() : ClientNetworkContentSocketHandler
- UnselectVehicle() : VehicleGroupWindow
- UNSET : GRFTempEngineData
- unshaded_size : Window
- Unshuffle() : MusicSystem
- UNSUPPORTED_API : SocialIntegrationPlugin
- unwanted : Town
- Update() : Backup< T >, CargoDataEntry, LinkGraph::BaseEdge, OpenGLSprite
- update_frequency : ServerNetworkAdminSocketHandler
- update_interval : FramerateWindow, FrametimeGraphWindow
- update_payment_interval : PaymentRatesGraphWindow
- UpdateAcceleration() : Train
- UpdateAfterLoad() : GroupStatistics
- UpdateAIButtonsState() : ScriptDebugWindow
- UpdateAnnotation() : CapacityAnnotation, DistanceAnnotation
- UpdateAutoRefitState() : OrdersWindow
- UpdateAutoreplace() : GroupStatistics
- UpdateAutoResolution() : VideoDriver
- UpdateBoundingBoxCoordinates() : Vehicle
- UpdateButtons() : BuildObjectWindow
- UpdateCache() : Ship
- UpdateCaretPosition() : Textbuf
- UpdateColumnRects() : VehicleGroupWindow
- UpdateCursorPosition() : CursorVars
- UpdateCursorPositionRelative() : CursorVars
- UpdateData() : SelectCompanyManagerFaceWindow
- UpdateDeltaXY() : Aircraft, DisasterVehicle, EffectVehicle, RoadVehicle, Ship, Train, Vehicle
- UpdateEdge() : LinkGraph::BaseNode
- UpdateFilterByTile() : BuildVehicleWindow
- UpdateFilterState() : NetworkContentListWindow, SettingEntry, SettingsContainer, SettingsPage
- UpdateGSButtonState() : ScriptDebugWindow
- UpdateHistoryScrollpos() : TextfileWindow
- UpdateInclination() : GroundVehicle< T, Type >
- UpdateLinks() : SmallMapWindow
- UpdateListPos() : NetworkGameWindow
- UpdateListPositionOnKeyPress() : Scrollbar
- UpdateLoadingTile() : CargoPacket
- UpdateLocation() : LinkGraph::BaseNode
- UpdateLogScroll() : ScriptDebugWindow
- UpdateMarkedText() : Textbuf
- UpdateMode() : BuildTreesWindow
- UpdateMultilineWidgetSize() : NWidgetResizeBase
- UpdateNewGRFScanStatus() : ScanProgressWindow
- UpdateOptionWidgetStatus() : BuildRoadToolbarWindow
- UpdateOskState() : OskWindow
- UpdateOverlayCargoes() : LinkGraphLegendWindow
- UpdateOverlayCompanies() : LinkGraphLegendWindow
- UpdatePalette() : OpenGLBackend
- UpdatePaymentRates() : PaymentRatesGraphWindow
- UpdatePosition() : DisasterVehicle, Scrollbar, TrackedViewportSign, Vehicle, ViewportSign
- UpdatePositionAndViewport() : Vehicle
- UpdatePrevNextDisabledState() : StoryBookWindow
- UpdateProfits() : GroupStatistics
- UpdateQueryStringSize() : Window
- UpdateRealOrderIndex() : Vehicle
- UpdateRefittability() : GRFTempEngineData
- UpdateSavedItems() : HousePickerCallbacks, PickerCallbacks, PickerCallbacksNewGRFClass< T >
- UpdateScale() : FrametimeGraphWindow
- UpdateScrollBars() : NewGRFWindow
- UpdateSelectionStates() : TimetableWindow
- UpdateSize() : NWidgetResizeBase, Textbuf
- UpdateSizeAndPosition() : DropdownWindow
- UpdateSpeed() : RoadVehicle, Train
- UpdateStatistics() : BaseCompanyGraphWindow
- UpdateStringIter() : Textbuf
- UpdateSupply() : LinkGraph::BaseNode
- UpdateTimetableDuration() : OrderList
- UpdateTotalDuration() : OrderList
- UpdateUnloadingTile() : CargoPacket
- UpdateVerticalSize() : NWidgetResizeBase
- UpdateViewport() : SpecializedVehicle< T, Type >, Vehicle
- UpdateViewportCoordinates() : NWidgetViewport
- UpdateVirtCoord() : BaseStation, Sign, Station, Town, Waypoint
- UpdateVisualEffect() : Vehicle
- UpdateWidgetSize() : AboutWindow, AIConfigWindow, BaseCargoGraphWindow, BaseGraphWindow, BaseNetworkContentDownloadStatusWindow, BootstrapAskForDownloadWindow, BootstrapErrorWindow, BuildAirportWindow, BuildBridgeWindow, BuildDocksDepotWindow, BuildIndustryWindow, BuildObjectWindow, BuildRailDepotWindow, BuildRailStationWindow, BuildRoadDepotWindow, BuildRoadStationWindow, BuildSignalWindow, BuildTreesWindow, BuildVehicleWindow, BuyCompanyWindow, CheatWindow, CompanyFinancesWindow, CompanyInfrastructureWindow, CompanyStationsWindow, CompanyWindow, CreateScenarioWindow, CustomCurrencyWindow, DepotWindow, DropdownWindow, EnginePreviewWindow, ErrmsgWindow, FramerateWindow, FrametimeGraphWindow, GameOptionsWindow, GenerateLandscapeWindow, GenerateProgressWindow, GoalListWindow, GoalQuestionWindow, GSConfigWindow, IndustryCargoesWindow, IndustryDirectoryWindow, IndustryViewWindow, LandInfoWindow, LinkGraphLegendWindow, MessageHistoryWindow, MusicTrackSelectionWindow, MusicWindow, NetworkAskRelayWindow, NetworkAskSurveyWindow, NetworkClientListWindow, NetworkContentListWindow, NetworkGameWindow, NetworkJoinStatusWindow, NetworkStartServerWindow, NewGRFInspectWindow, NewGRFParametersWindow, NewGRFWindow, NewsWindow, OrdersWindow, PerformanceLeagueWindow, PerformanceRatingDetailWindow, PickerWindow, QueryWindow, RefitWindow, ReplaceVehicleWindow, SaveLoadWindow, SavePresetWindow, ScanProgressWindow, ScenarioEditorLandscapeGenerationWindow, ScenarioEditorToolbarWindow, ScriptDebugWindow, ScriptLeagueWindow, ScriptListWindow, ScriptSettingsWindow, SelectCompanyLiveryWindow, SelectCompanyManagerFaceWindow, SelectStationWindow< T >, SetDateWindow, SignListWindow, SpriteAlignerWindow, StationViewWindow, StatusBarWindow, StoryBookWindow, SubsidyListWindow, TextfileWindow, TimetableWindow, TooltipsWindow, TownAuthorityWindow, TownDirectoryWindow, TownViewWindow, VehicleDetailsWindow, VehicleGroupWindow, VehicleListWindow, VehicleViewWindow, Window
- UpdateWidth() : Textbuf
- UpdateZPosition() : GroundVehicle< T, Type >
- UpdateZPositionAndInclination() : GroundVehicle< T, Type >
- upgrade : ContentInfo
- UpgradeCurrent() : NewGRFWindow
- uri : NetworkHTTPRequest
- url : BaseSet< T >, ContentInfo, GRFConfig, ScriptInfo
- usage : LinkGraph::BaseEdge
- Usage() : LinkProperties
- usage : LinkProperties
- use_as_random : AIInfo
- use_password : NetworkCompanyInfo, NetworkServerGameInfo
- use_relay_service : NetworkSettings
- UseAsRandomAI() : AIInfo
- used : PickerCallbacks
- used_bitmap : Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >
- used_liveries : GRFLoadedFeatures
- used_names : StationNameInformation
- used_random_triggers : ResolverObject
- used_set : BaseMedia< Tbase_set >
- used_size : TrueTypeFontCache
- UsedBadgeClasses() : UsedBadgeClasses
- UseID() : FreeUnitIDGenerator
- UsePaletteAnimation() : Blitter, Blitter_32bppAnim, Blitter_32bppBase, Blitter_40bppAnim, Blitter_8bppBase, Blitter_Null
- user : OrderBackup
- user_def_data : RailVehicleInfo, TrainCache
- UserIsAllowedToChangeNewGRFs() : GUISettings
- UsesHardwareAcceleration() : DriverFactoryBase, FVideoDriver_CocoaOpenGL, FVideoDriver_SDL_OpenGL
- UsesOriginalEconomy() : IndustrySpec
- UseSystemCursor() : VideoDriver, VideoDriver_CocoaOpenGL, VideoDriver_SDL_OpenGL
- UseUnreservedID() : EngineOverrideManager
- UsingWallclockUnits() : TimerGameEconomy
- utf16_str : IcuStringIterator
- utf16_to_utf8 : IcuStringIterator, OSXStringIterator, UniscribeStringIterator
- uz_min_x : NWidgetResizeBase
- uz_min_y : NWidgetResizeBase
- uz_padding : NWidgetBase
- uz_pip_inter : NWidgetPIPContainer
- uz_pip_post : NWidgetPIPContainer
- uz_pip_pre : NWidgetPIPContainer
- uz_text_lines : NWidgetResizeBase
- uz_text_size : NWidgetResizeBase
- uz_text_spacing : NWidgetResizeBase